## class SG_EXPORT Extensions

> Extensions class which encapsulates the querring of extensions and associated function pointers, and provide convinience wrappers to check for the extensions or use the associated functions

## Inheritance:

### Public Methods

Extensions()
Extensions(const Extensions& rhs)
void lowestCommonDenominator(const Extensions& rhs)
void setupGLExtenions()
void setTexture3DSupported(bool flag)
bool isTexture3DSupported() const
void setTexture3DFast(bool flag)
bool isTexture3DFast() const
void setMaxTexture3DSize(GLint maxsize)
GLint maxTexture3DSize() const
void setTexImage3DProc(void* ptr)
void glTexImage3D( GLenum target, GLint level, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid* pixels) const
void setTexSubImage3DProc(void* ptr)
void glTexSubImage3D( GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid* pixels) const
void setCopyTexSubImage3DProc(void* ptr)
void glCopyTexSubImage3D( GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height ) const
void setBuild3DMipmapsProc(void* ptr)
void gluBuild3DMipmaps( GLenum target, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid* data) const

### Protected Fields

bool _isTexture3DSupported
bool _isTexture3DFast
GLint _maxTexture3DSize
void* _glTexImage3D
void* _glTexSubImage3D
void* _glCopyTexSubImage3D
void* _gluBuild3DMipmaps

### Protected Methods

~Extensions()

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

> Extensions class which encapsulates the querring of extensions and associated function pointers, and provide convinience wrappers to check for the extensions or use the associated functions

`Extensions()`

`Extensions(const Extensions& rhs)`

`void lowestCommonDenominator(const Extensions& rhs)`

`void setupGLExtenions()`

`void setTexture3DSupported(bool flag)`

`bool isTexture3DSupported() const`

`void setTexture3DFast(bool flag)`

`bool isTexture3DFast() const`

`void setMaxTexture3DSize(GLint maxsize)`

`GLint maxTexture3DSize() const`

`void setTexImage3DProc(void* ptr)`

`void glTexImage3D( GLenum target, GLint level, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid* pixels) const`

`void setTexSubImage3DProc(void* ptr)`

`void glTexSubImage3D( GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid* pixels) const`

`void setCopyTexSubImage3DProc(void* ptr)`

`void glCopyTexSubImage3D( GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height ) const`

`void setBuild3DMipmapsProc(void* ptr)`

`void gluBuild3DMipmaps( GLenum target, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid* data) const`

`~Extensions()`

`bool _isTexture3DSupported`

`bool _isTexture3DFast`

`GLint _maxTexture3DSize`

`void* _glTexImage3D`

`void* _glTexSubImage3D`

`void* _glCopyTexSubImage3D`

`void* _gluBuild3DMipmaps`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.